TK\_BRIEF(1)

 April 2003" "tk_Brief "

NAME
tk-Brief ist eine graphische Oberfläche zum Schreiben von Briefen und Serienbriefen mit latex, die es auch Anfängern ermöglicht, ohne lange Einarbeitung, Briefe mit latex zu schreiben.

SYNOPSIS
tk_Brief [ -a an ] [ -N Name ] [ -str Straße ] [ -o Ort ] [ -dir Verzeichnis ] [ -fax Faxnummer ] [ -h ] [ filename ]

DESCRIPTION
tk_Brief generiert aus einer <filename>.text-Datei und den Eingaben in den Eingabefeldern eine <filename>.tex-Datei unter Verwendung des g-brief Paketes, die anschließend übersetzt werden kann. Wird die Englische Sprache im Voreinstellungsmenu eingestellt, so wird g-brief mit der Option english aufgerufen und die Labels erscheinen in englischer Sprache. tk_Brief ist in Tcl/Tk geschrieben und auf vielen Platformen erhältlich.

OPTIONS

-h  Kurze Hilfe für tk_Brief.

-a an
    Kommandozeilenaufruf für das 'an'-Feld.

-N Name
    Kommandozeilenaufruf für das 'Name'-Feld.

-str Straße
    Kommandozeilenaufruf für das

-o Ort
    Kommandozeilenaufruf für das 'Ort'-Feld.

-dir Verzeichnis
    Startverzeichnis.

-fax Faxnummer
    Faxnummer, falls Fax verschickt werden soll.

BUTTONS

Ende
    Beendet tk_Brief und speichert die Konfiguration in ${HOME}/.serienbrief

Konfiguration
    Hier können die Absender-Daten eingegeben werden und das Layout angepaßt sowie die LaTeX-Umgebung konfiguriert werden.

Editiere Text
    Der voreingestellte Editor (default 'jed') öffnet und editiert den Brieftext in der Datei <filename>.text.

Rechtschreibung
    Das voreingestellte Rechtschreibprogramm (default 'ispell') überprüft die Rechtschreibung in <filename>.text.

TeX-Datei
    Die erzeugte LaTeX-Dateikann angeschaut werden.

Latex
    Die Datei wird übersetzt.

Vorschau
    Die Datei wird übersetzt und mit 'xdvi' dargestellt.

Drucken
    Die Datei wird übersetzt und mit dem eingestellten Druckbefehl (default 'lpr -Plaser') gedruckt.

Serienbrief
    tk_Brief geht in den Serienbriefmodus.

Sende Fax
    Die Datei wird in ein g3-Fax konvertiert und mit sendfax verschickt.

Aufräumen
    Es werden alle temporären Dateien gelöscht. Nur <filename>.tex, <filename>.adresses und <filename>.text bleiben übrig.

SERIENBRIEFE

Im Serienbriefmodus mit 'Editiere Adresses' die Adressen im Format

<an>;<Name: >;<Straße>;<PLZ Ort>[;<Anrede>]
<an>;<Name: >;<Straße>;<PLZ Ort>[;<Anrede>]
<an>;<Name: >;<Straße>;<PLZ Ort>[;<Anrede>]
<an>;<Name: >;<Straße>;<PLZ Ort>[;<Anrede>]

in die Datei <filename>.adresses eingeben. tk_Brief formatiert die Adressen um und speichert sie in die Datei <filename>.adr_ok. Aus dieser wird die jeweilige Adresse beim Generieren der <filename>.tex-Datei genommen. Die Angabe von <Anrede> ist optional. Ansonten wie bei Einzelbriefen verfahren. Bei 'Vorschau' und 'Drucken' wird nochmals eine Warnung ausgegeben, wieviele Files daregestellt/gedruckt werden.

Bei der Darstellung 'xdvi' jeweils mit 'q' verlassen. Dann wird das nächste File dargestellt.

Für den nachträglichen Ausdruck kann 'Generiere PostScript' verwendet werden. Die PostScript-Dateien werden durchnummeriert und tragen die Namen <filename><NR>.ps.

ADREßDATENBANK

Zum Einbinden von tk_Brief in addressbook die Prozedur "proc do_mail" ändern in:

proc do_mail {} {
global adrbook currentindex fields
set tk_Brief [exec which tk_Brief]
set call [list exec $tk_Brief -N "[lindex $adrbook($currentindex) \
$fields(firstname)] [lindex $adrbook($currentindex) $fields(lastname)]" \
-str "[lindex $adrbook($currentindex) $fields(street)]" -o "[lindex \
$adrbook($currentindex) $fields(country)] [lindex $adrbook($currentindex) \
$fields(zip)] [lindex $adrbook($currentindex) $fields(city)]" \
-fax "[lindex $adrbook($currentindex) $fields(fax)]"]
eval "$call &"
}

Anschließend kann mit dem Brief-Icon tk_Brief mit den entsprechenden Optionen gestartet werden.

REQUIREMENTS

g-brief

pslatex

tcl/tk

FILES

$HOME/.serienbrief
    Konfigurationsfile von tk_Brief

<filename>.text
    Brieftextdatei

<filename>.tex
    Generierte LaTeX-Datei

<filename>.adresses
    Adreßdatei für Serienbriefe

<filename>.adr_ok
    Generierte Adreßdatei für Serienbriefe

SEE ALSO
LaTeX, dvips (1), ispell (1), lpr (1), sendfax (1), gs (1)

LICENSE

Copyright (C) 1998 [Ralf Müller] This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR

Ralf Müller
Rüppurrer Straße 104
D-76137 Karlsruhe
Email: ralf@deres-mueller.de
WWW: http://www.deres-mueller.de/tk_Brief